# wxLogInterposerTemp Class Reference
[Logging]

`#include </home/work/projects/wx/2.9/wx/interface/wx/log.h>`

Inheritance diagram for wxLogInterposerTemp:
[legend]

## Detailed Description

A special version of wxLogChain which uses itself as the new log target.

It forwards log messages to the previously installed one in addition to processing them itself. Unlike wxLogInterposer, it doesn't delete the old target which means it can be used to temporarily redirect log output.

As per wxLogInterposer, this class must be derived from to implement wxLog::DoLog and/or wxLog::DoLogString methods.

##

Library: wxBase
Category: Logging

## Public Member Functions

| wxLogInterposerTemp ()
| The default constructor installs this object as the current active log target.

List of all members.

## Constructor & Destructor Documentation

wxLogInterposerTemp::wxLogInterposerTemp | ( |  | ) |

The default constructor installs this object as the current active log target.

|  | [ top ]